job('school--main-build') {
   
    description "Builds MyProject from master branch."
    parameters {
        stringParam('COMMIT', 'HEAD', 'Commit to build')
    }
    
    scm {
        git {
            remote {
                url 'https://github.com/gajendrularamarao/school.git'
               
            }
             branch("master")
            extensions {
                wipeOutWorkspace()
                
            }
        }
    }
  
  triggers {
        githubPush()
    }
    steps {
        gradle('clean build')
    }
  
}
 
listView('School_jobs') {
    columns {
        status()
        weather()
        name()
        lastSuccess()
        lastFailure()
        lastDuration()
        buildButton()
    }
    jobs {
        name('school-main-build')
        name('school-GitHub-Pull-Request-Builder')
        name('school-deployment-to-pcf')
        
    }
}